<?php
namespace Teknisa\CRM\Controller;

use Teknisa\CRM\Controller\TeknisaCrud;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Request\Row;

class crm00001002OperadorPerfilDeAtividadeController extends TeknisaCrud {
    protected $dataSourceName = 'crm_perfioper_operador';
    
    protected $newCode;
    
    public function __construct ($crudService, $parameterBag, $newCode)
    {
        $this->newCode                    = $newCode;

        parent::__construct($crudService, $parameterBag);
    }
    
    public function save(Request $request, Response $response) {
        
        $rows = $request->getDataSet()->getRows();
        
        foreach($rows as $row) {
            $row['NRSEQPERFOPER'] = $this->newCode->getCodeByTableName("NRSEQPERFOPER", $row["NRORG"]);
        }
        
        parent::save($request, $response);
        
    }
    
}