function crm_grupodeoperadorControler(templateManager, ScreenService, Utilities, restEngine, General, CRM_Utilities, Messages)
{
    this.setOperGrupo = function(widget){
        widget.dataSourceFilter =   [
                                        {
                                            name : "NRFILAATENDIMENTO",
                                            operator : "=",
                                            value : widget.parent.parent.currentRow.NRFILAATENDIMENTO
                                        }
                                    ]; 
        widget.reload();                            
    };
    
    this.saveOperGrupo = function(widget){
       
       var rowGrupo = new Object();
       rowGrupo.NRFILAATENDIMENTO       = widget.parent.parent.currentRow.NRFILAATENDIMENTO;
       rowGrupo.NRORG                   = widget.parent.parent.currentRow.NRORG;
       
        var dataset = {};
        dataset.grupo = rowGrupo;
        dataset.operador =  widget.currentRow.NMOPERADOR; 
        
        General.callRestEngine("product#/grupo_operador/saveOperador", "DataSet", [dataset]).then(function(response) {
                    ScreenService.closeSwipe().then(function() {
                        widget.reload();
                    });

                }.bind(this));
    };
    
    this.grupoDelete = function(widget){
      ScreenService.confirmMessage('Deseja realmente excluir o Grupo de Operador?', 'QUESTION',
        function(success){
            var paramsRestEngine = {
                requestType:'Row',
                row:widget.currentRow
            };
            
            restEngine.post('product#/grupo_operador/excluirGrupoOperador', paramsRestEngine).
                then(function(response){
                    
                        ScreenService.showMessage('Grupo de Operador excluido');
                        ScreenService.closeSwipe().then(function(){
                            ScreenService.closePopup(true);
                            widget.reload();
                        });
                        
                }).catch(function(error){
                    ScreenService.showMessage(error.data.error);    
                });        
        }, 
          function(cancel){
            
        });
        
        
    };
}
Configuration(function(ContextRegister){    ContextRegister.register('crm_grupodeoperadorControler', crm_grupodeoperadorControler);
});