<?php

namespace Teknisa\CRM\Factory;

use Doctrine\ORM\EntityManager;

class IntegracaoMauticFactory {
    protected $connection;
    
    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }
    
    public function saveParamMautic($params) {
        $sql = 'UPDATE CRM_PARAMETRIZACAO
                SET DSPUBLICKEYMAUTIC = :DSPUBLICKEYMAUTIC,
                    DSSECRETKEYMAUTIC = :DSSECRETKEYMAUTIC,
                    DSBASEURLMAUTIC   = :DSBASEURLMAUTIC,
                    MAUTICAUTH        = :MAUTICAUTH,
                    DTULTATU          = SYSDATE,
                    CDOPERULTATU      = :CDOPERADOR,
                    NRORGULTATU       = :NRORGOPER
                WHERE NRORG = :NRORG';
        
        $std = $this->connection->prepare($sql);
        $std->execute($params);
    }
}